<?xml version="1.0" encoding="ISO-8859-1"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="modelConfig"
    nsURI="http:///openembedd.org/model/modelConfig" nsPrefix="modelConfig">
  <eClassifiers xsi:type="ecore:EClass" name="Resource" eSuperTypes="#//ModelElement">
    <eOperations name="exist" lowerBound="1" eType="#//Boolean"/>
    <eOperations name="getLicense" lowerBound="1" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedResource"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="category" eType="#//Category"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="profil" upperBound="-1"
        eType="#//Profil" eOpposite="#//Profil/resource"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="state" lowerBound="1" eType="#//State"
        eOpposite="#//State/resource"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="nameWebFile" eType="#//String"
        defaultValueLiteral=""/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="siteURL" eType="#//String"
        defaultValueLiteral=""/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="entry" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="isLocalFile" lowerBound="1"
        eType="#//Boolean" defaultValueLiteral="false"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="targetNameFile" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="targetPathFile" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="isLocalLicense" lowerBound="1"
        eType="#//Boolean" defaultValueLiteral="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="licenseName" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="licenseURL" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="licensePathFile" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="group" eType="#//Group"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="#//String"
        defaultValueLiteral="description of the resource"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="required" upperBound="-1"
        eType="#//Resource" eOpposite="#//Resource/require"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="require" upperBound="-1"
        eType="#//Resource" eOpposite="#//Resource/required"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="isVisible" lowerBound="1"
        eType="#//Boolean" defaultValueLiteral="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="includesIn" eType="#//EnumKindOfInclusion"
        defaultValueLiteral="None"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="javaVMVersion" eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Category" eSuperTypes="#//ModelElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedCategory"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="parent" eType="#//Category"
        eOpposite="#//Category/children"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="children" upperBound="-1"
        eType="#//Category" eOpposite="#//Category/parent"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ModelElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" lowerBound="1" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="nameID" lowerBound="1"
        eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EDataType" name="String" instanceClassName="java.lang.String"/>
  <eClassifiers xsi:type="ecore:EDataType" name="Integer" instanceClassName="java.lang.Integer"/>
  <eClassifiers xsi:type="ecore:EDataType" name="Boolean" instanceClassName="java.lang.Boolean"/>
  <eClassifiers xsi:type="ecore:EClass" name="Profil" eSuperTypes="#//ModelElement">
    <eOperations name="processState" lowerBound="1" eType="#//State"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedProfil"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="resource" upperBound="-1"
        eType="#//Resource" eOpposite="#//Resource/profil"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="State" eSuperTypes="#//ModelElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedState"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="resource" upperBound="-1"
        eType="#//Resource" eOpposite="#//Resource/state"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="defaultAction" eType="#//Action"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="image" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Action" eSuperTypes="#//ModelElement">
    <eOperations name="enabled" lowerBound="1" eType="#//Boolean"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedAction"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="javaClassName" eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="File" eSuperTypes="#//Resource">
    <eStructuralFeatures xsi:type="ecore:EReference" name="linkExe" eType="#//Exe"
        eOpposite="#//Exe/linkFile"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Plugin" eSuperTypes="#//Resource">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="longName" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="version" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="applications" upperBound="-1"
        eType="#//Exe" eOpposite="#//Exe/plugins"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="package" eType="#//Package"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="toDecompress" lowerBound="1"
        eType="#//Boolean" defaultValueLiteral="false"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Exe" eSuperTypes="#//Resource">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="typeOS" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="linkFile" upperBound="-1"
        eType="#//File" eOpposite="#//File/linkExe"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="plugins" upperBound="-1"
        eType="#//Plugin" eOpposite="#//Plugin/applications"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Configuration" eSuperTypes="#//ModelElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedState" upperBound="-1"
        eType="#//State" containment="true" eOpposite="#//State/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedAction" upperBound="-1"
        eType="#//Action" containment="true" eOpposite="#//Action/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedProfil" upperBound="-1"
        eType="#//Profil" containment="true" eOpposite="#//Profil/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedResource" upperBound="-1"
        eType="#//Resource" containment="true" eOpposite="#//Resource/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedCategory" upperBound="-1"
        eType="#//Category" containment="true" eOpposite="#//Category/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedPackage" upperBound="-1"
        eType="#//Package" containment="true" eOpposite="#//Package/owner"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="ownedGroup" upperBound="-1"
        eType="#//Group" containment="true" eOpposite="#//Group/owner"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="configVersion" lowerBound="1"
        eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Library" eSuperTypes="#//File">
    <eStructuralFeatures xsi:type="ecore:EReference" name="plugin" eType="#//Plugin"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exe" eType="#//Exe"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="groupName" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="version" eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Package" eSuperTypes="#//ModelElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedPackage"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Group" eSuperTypes="#//ModelElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="owner" lowerBound="1" eType="#//Configuration"
        eOpposite="#//Configuration/ownedGroup"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="#//String"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="EnumKindOfInclusion">
    <eLiterals name="None" literal="None"/>
    <eLiterals name="InJar" value="1" literal="In jar"/>
    <eLiterals name="InZip" value="2" literal="In zip"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Feature" eSuperTypes="#//Resource">
    <eOperations name="install" eType="#//Boolean"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="longName" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="version" eType="#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="toDecompress" lowerBound="1"
        eType="#//Boolean" defaultValueLiteral="false"/>
  </eClassifiers>
</ecore:EPackage>
